Retrieve contrail attribution metrics

GET https://contrails.googleapis.com/v2/attributions:GetAttributionMetrics: Get aggregated contrail attribution metrics by bounds, timestamp, and attribution method.

If successful, the response will return an AttributionMetrics object which contains:

  • A flight_attributed_length_metres field that represents length, in meters, of the subset(s) of the flight paths within the specified bounds to which contrails were attributed.
  • An effective_energy_forcing_joules field that represents Effective Energy Forcing, in joules, of all the contrails within the specified boundary. Effective Energy Forcing is derived by extracting Effective Radiative Forcing from gridded CoCiP forecast outputs and linearly interpolating them.
  • A rf_erf_conversion_factor field that represents the conversion constant used to obtain Effective Radiative Forcing (ERF) from Radiative Forcing (RF).

Query parameters

Parameters
bounds[]

string

Required. List of string pairs, each of which must be in a "latitude,longitude" format, specifying the vertices for a bounding polygon representing the geographic area.

At least three bounds must be specified. The bounds must form a valid S2Polygon polygon (e.g. no duplicate vertices, no self-intersection); for more on S2Polygon, refer to S2Geometry documentation.

Example: ["37.7,-122.41", "37.78,-122.42", "37.79,-122.43"]

startTime

string

Required. Start time for the requested attributed contrail detections.

Format: ISO 8601 datetime string

Example: 2026-01-20T21:00:00Z

endTime

string

Required. End time for the requested attributed contrail detections (inclusive).

Note that endTime cannot exceed startTime by more than 14 days.

Format: ISO 8601 datetime string

Example: 2026-01-12T21:00:00Z

attributionMethod

enum (AttributionMethod)

Required. The method used for attributing contrails to flight segments.

Format: Must be either ATTRIBUTION_METHOD_OBSERVATION, ATTRIBUTION_METHOD_COCIP, or ATTRIBUTION_METHOD_OBSERVATION_ENHANCED_COCIP.